al_backup_dirty_bitmap(3)

NAME

al_backup_dirty_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_backup_dirty_bitmap(ALLEGRO_BITMAP *bitmap)

DESCRIPTION

On some platforms, notably Windows Direct3D and Android, textures may be lost at any time for events such as display resize or switching out of the app. On those platforms, bitmaps created without the ALLEGRO_NO_PRESERVE_TEXTURE flag automatically get backed up to system memory every time al_flip_display is called.

This function gives you more control over when your bitmaps get backed up. By calling this function after modifying a bitmap, you can make sure the bitmap is backed up right away instead of during the next flip.

SINCE

5.2.1

    [Unstable API]: This API is new and subject to refinement.

SEE ALSO

al_backup_dirty_bitmaps(3), al_create_bitmap(3)